import { OnInit, NgZone } from "@angular/core";
import { FromFieldControl } from "../form-field-control";
import { FormGroupDirective } from "@angular/forms";
import { CdkTextareaAutosize } from "@angular/cdk/text-field";
export declare class TextAreaFormFieldComponent extends FromFieldControl implements OnInit {
    private ngZone;
    minRows: number;
    maxRows: number;
    cols: number;
    autosize: CdkTextareaAutosize;
    constructor(ngZone: NgZone, __formGroupDirective: FormGroupDirective);
    triggerResize(): void;
    ngOnInit(): void;
}
