import { OnInit } from "@angular/core";
import { FromFieldControl } from "../form-field-control";
import { Observable } from "rxjs";
import { FormGroupDirective } from "@angular/forms";
export declare class AutoCompleteFormFieldComponent extends FromFieldControl implements OnInit {
    options: any[];
    options$: Observable<any[]>;
    displayProperty: string;
    displayFn: (option?: any) => string | undefined;
    optionDisplayFn: (option?: any) => string | undefined;
    optionClassFn: (option?: any) => string | undefined;
    charThreshold: number;
    classList: string;
    constructor(__formGroupDirective: FormGroupDirective);
    ngOnInit(): void;
    _optionSelected(eventData: any): void;
    _inputChanged(eventData: any): void;
}
