import { OnInit } from "@angular/core";
import { FromFieldControl } from "../form-field-control";
import { FormGroupDirective } from "@angular/forms";
import { MatDatepicker } from "@angular/material";
export declare const MONTH_YEAR_FORMAT: {
    parse: {
        dateInput: string;
    };
    display: {
        dateInput: string;
        monthYearLabel: string;
        dateA11yLabel: string;
        monthYearA11yLabel: string;
    };
};
import * as moment_ from "moment";
export declare class ExpiryMonthFormFieldComponent extends FromFieldControl implements OnInit {
    filterFn: (d: moment_.Moment) => boolean;
    constructor(__formGroupDirective: FormGroupDirective);
    private __val;
    ngOnInit(): void;
    _chosenYearHandler(normalizedYear: moment_.Moment): void;
    _chosenMonthHandler(normlizedMonth: moment_.Moment, datepicker: MatDatepicker<moment_.Moment>): void;
}
