import { OnInit } from "@angular/core";
import { FromFieldControl } from "../form-field-control";
import { FormGroupDirective, FormControl } from "@angular/forms";
export declare const DATE_FORMATS: {
    parse: {
        dateInput: string;
    };
    display: {
        dateInput: string;
        monthYearLabel: string;
        dateA11yLabel: string;
        monthYearA11yLabel: string;
    };
};
import * as moment_ from "moment";
export declare class MomentFormFieldComponent extends FromFieldControl implements OnInit {
    private __dateMask;
    _mask: any;
    dateFilterFn: (d: moment_.Moment) => boolean;
    __dpControl: FormControl;
    _startDate: moment_.Moment;
    _bkpStartDate: moment_.Moment;
    startDate: string;
    constructor(__formGroupDirective: FormGroupDirective);
    ngOnInit(): void;
}
